edu.wpi.cscore

## Class VideoCamera

- java.lang.Object
- - edu.wpi.cscore.VideoSource
  - - edu.wpi.cscore.VideoCamera

- Direct Known Subclasses:
    HttpCamera, UsbCamera

      public class VideoCamera
      extends VideoSource

  A source that represents a video camera.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `VideoCamera.WhiteBalance`

    - ### Nested classes/interfaces inherited from class edu.wpi.cscore.VideoSource

      `VideoSource.Kind`

  - ### Field Summary

    - ### Fields inherited from class edu.wpi.cscore.VideoSource

      `m_handle`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VideoCamera(int handle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBrightness()` Get the brightness, as a percentage (0-100).
    `void` | `setBrightness(int brightness)` Set the brightness, as a percentage (0-100).
    `void` | `setExposureAuto()` Set the exposure to auto aperture.
    `void` | `setExposureHoldCurrent()` Set the exposure to hold current.
    `void` | `setExposureManual(int value)` Set the exposure to manual, as a percentage (0-100).
    `void` | `setWhiteBalanceAuto()` Set the white balance to auto.
    `void` | `setWhiteBalanceHoldCurrent()` Set the white balance to hold current.
    `void` | `setWhiteBalanceManual(int value)` Set the white balance to manual, with specified color temperature.

    - ### Methods inherited from class edu.wpi.cscore.VideoSource

      `enumerateProperties, enumerateSinks, enumerateSources, enumerateVideoModes, equals, free, getDescription, getHandle, getKind, getKindFromInt, getLastFrameTime, getName, getProperty, getVideoMode, hashCode, isConnected, isValid, setFPS, setPixelFormat, setResolution, setVideoMode, setVideoMode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoCamera

          protected VideoCamera(int handle)

  - ### Method Detail

    - #### setBrightness

          public void setBrightness(int brightness)

      Set the brightness, as a percentage (0-100).

    - #### getBrightness

          public int getBrightness()

      Get the brightness, as a percentage (0-100).

    - #### setWhiteBalanceAuto

          public void setWhiteBalanceAuto()

      Set the white balance to auto.

    - #### setWhiteBalanceHoldCurrent

          public void setWhiteBalanceHoldCurrent()

      Set the white balance to hold current.

    - #### setWhiteBalanceManual

          public void setWhiteBalanceManual(int value)

      Set the white balance to manual, with specified color temperature.

    - #### setExposureAuto

          public void setExposureAuto()

      Set the exposure to auto aperture.

    - #### setExposureHoldCurrent

          public void setExposureHoldCurrent()

      Set the exposure to hold current.

    - #### setExposureManual

          public void setExposureManual(int value)

      Set the exposure to manual, as a percentage (0-100).